Page MenuHomePhabricator

Make new IPUtils release
Closed, ResolvedPublic

Event Timeline

Reedy triaged this task as Medium priority.Mar 9 2020, 2:03 AM

We should tag a new release and get it into 1.35 too... 1.1.0?

If we've bumped the php req version.. We should release as 2.0.0 as a major change?

$ git push --tags
Enumerating objects: 1, done.
Counting objects: 100% (1/1), done.
Writing objects: 100% (1/1), 301 bytes | 301.00 KiB/s, done.
Total 1 (delta 0), reused 0 (delta 0)
remote: Processing changes: done    
To ssh://gerrit.wikimedia.org:29418/mediawiki/libs/IPUtils
 * [new tag]         2.0.0 -> 2.0.0

Change 579098 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/services/parsoid@master] Allow wikimedia/ip-utils 2.0.0

https://gerrit.wikimedia.org/r/579098

Change 579098 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Allow wikimedia/ip-utils 2.0.0

https://gerrit.wikimedia.org/r/579098

HISTORY.md needs updating for 2.0.0...

Oops. A bit late now.

Though, we're not even using it yet due to T248237: IPUtils >=2.0.0 test failures on MW core...

Reedy changed the task status from Open to Stalled.Sep 20 2020, 4:07 PM

Stalling due to T248237: IPUtils >=2.0.0 test failures on MW core

We did make a release, but we can't use it in MW as it stands... We might need another new release depending on the fix and/or where it lands

Reedy changed the task status from Stalled to Open.Nov 10 2020, 12:00 PM

Change 640197 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/services/parsoid@master] Allow wikimedia/ip-utils ^3.0.0

https://gerrit.wikimedia.org/r/640197

Change 640398 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/core@master] [WIP] Update wikimedia/ip-utils from 1.0.0 to 3.0.0

https://gerrit.wikimedia.org/r/640398

Change 640197 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Allow wikimedia/ip-utils ^3.0.0

https://gerrit.wikimedia.org/r/640197

Change 641308 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/vendor@master] Bump wikimedia/parsoid to 0.13.0-a17

https://gerrit.wikimedia.org/r/641308

Change 641308 merged by jenkins-bot:
[mediawiki/vendor@master] Bump wikimedia/parsoid to 0.13.0-a17

https://gerrit.wikimedia.org/r/641308

Change 582143 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/vendor@master] Upgrade wikimedia/ip-utils from 1.0.0 to 3.0.0

https://gerrit.wikimedia.org/r/582143

Change 582143 abandoned by Reedy:
[mediawiki/vendor@master] Upgrade wikimedia/ip-utils from 1.0.0 to 3.0.0

Reason:

https://gerrit.wikimedia.org/r/582143

v4 I guess should be next...

rMLIP52893f63c7c5: Revert "Stop allowing invalid /0 subnet" is the main blocker for 3.0.0 going into master, fixed in T267997

I have two outstanding patches, but one is mostly for test coverage, the other is for validation improvements, so don't really need to land..

HISTORY should be updated though first

Change 658690 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/libs/IPUtils@master] Release v3.0.1

https://gerrit.wikimedia.org/r/658690

Change 658690 merged by jenkins-bot:
[mediawiki/libs/IPUtils@master] Release v3.0.1

https://gerrit.wikimedia.org/r/658690

Change 640398 merged by jenkins-bot:
[mediawiki/core@master] Update wikimedia/ip-utils from 1.0.0 to 3.0.1

https://gerrit.wikimedia.org/r/640398